> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Glossaries

> Search glossaries



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json post /assistant/api/v1/tenants/{tenant}/glossaries:search
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/glossaries:search:
    post:
      tags:
        - glossary
      summary: Search Glossaries
      description: Search glossaries
      operationId: >-
        search_glossaries_assistant_api_v1_tenants__tenant__glossaries_search_post
      parameters:
        - name: tenant
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GlossarySearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GlossarySearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GlossarySearchRequest:
      properties:
        glossary_ids:
          items:
            type: string
          type: array
          title: Glossary Ids
          description: List of glossary IDs to search
        query:
          type: string
          title: Query
          description: Search query
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          description: Maximum results to return
          default: 10
      type: object
      required:
        - glossary_ids
        - query
      title: GlossarySearchRequest
    GlossarySearchResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/GlossarySearchResultItem'
          type: array
          title: Items
          description: The search results
      type: object
      required:
        - items
      title: GlossarySearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GlossarySearchResultItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique entry identifier
        glossary_id:
          type: string
          title: Glossary Id
          description: The ID of the glossary
        acronym:
          type: string
          title: Acronym
          description: The acronym
        label:
          type: string
          title: Label
          description: The label
        domain:
          type: string
          title: Domain
          description: The domain
        description:
          type: string
          title: Description
          description: The description
        score:
          type: number
          title: Score
          description: The relevance score
      type: object
      required:
        - id
        - glossary_id
        - acronym
        - label
        - domain
        - description
        - score
      title: GlossarySearchResultItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````